=== modified file 'bzrlib/benchmarks/tree_creator/kernel_like.py'
--- bzrlib/benchmarks/tree_creator/kernel_like.py	2007-04-09 22:11:22 +0000
+++ bzrlib/benchmarks/tree_creator/kernel_like.py	2007-07-04 02:43:26 +0000
@@ -20,7 +20,6 @@
 import os
 
 from bzrlib import (
-    add,
     bzrdir,
     osutils,
     workingtree,
@@ -119,7 +118,7 @@
         # Add everything to it
         tree.lock_write()
         try:
-            add.smart_add_tree(tree, [root], recurse=True, save=True)
+            tree.smart_add([root], recurse=True, save=True)
             if in_cache:
                 self._protect_files(root+'/.bzr')
         finally:

=== modified file 'bzrlib/tests/test_bad_files.py'
--- bzrlib/tests/test_bad_files.py	2007-02-28 22:40:54 +0000
+++ bzrlib/tests/test_bad_files.py	2007-07-04 02:43:26 +0000
@@ -70,8 +70,7 @@
                            ])
 
         # We should raise an error if we are adding a bogus file
-        self.assertRaises(errors.BadFileKindError,
-                          add.smart_add_tree, wt, ['a-fifo'])
+        self.assertRaises(errors.BadFileKindError, wt.smart_add, ['a-fifo'])
 
         # And the list of files shouldn't have been modified
         verify_status(self, wt,
@@ -82,7 +81,7 @@
 
         # Make sure smart_add can handle having a bogus
         # file in the way
-        add.smart_add_tree(wt, ['.'])
+        wt.smart_add([])
         verify_status(self, wt,
                           ['added:\n',
                            '  six\n',

=== modified file 'bzrlib/tests/test_merge_core.py'
--- bzrlib/tests/test_merge_core.py	2007-06-26 08:46:23 +0000
+++ bzrlib/tests/test_merge_core.py	2007-07-04 02:43:26 +0000
@@ -23,7 +23,6 @@
     generate_ids,
     osutils,
     )
-from bzrlib.add import smart_add_tree
 from bzrlib.builtins import merge
 from bzrlib.conflicts import ContentsConflict, TextConflict, PathConflict
 from bzrlib.errors import (NotBranchError, NotVersionedError,
@@ -426,7 +425,7 @@
         self.build_tree(("original/", "original/file1", "original/file2"))
         tree = self.make_branch_and_tree('original')
         branch = tree.branch
-        smart_add_tree(tree, ["original"])
+        tree.smart_add(["original"])
         tree.commit("start branch.", verbose=False)
         # Mary branches it.
         self.build_tree(("mary/",))

=== modified file 'bzrlib/tests/workingtree_implementations/test_smart_add.py'
--- bzrlib/tests/workingtree_implementations/test_smart_add.py	2007-07-03 02:33:32 +0000
+++ bzrlib/tests/workingtree_implementations/test_smart_add.py	2007-07-04 02:43:26 +0000
@@ -28,8 +28,6 @@
 from bzrlib.add import (
     AddAction,
     AddFromBaseAction,
-    smart_add,
-    smart_add_tree,
     )
 from bzrlib.tests.test_smart_add import AddCustomIDAction
 from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree

